Subject: Re: [PATCH v7 1/2] name-rev: deprecate --stdin in favor of --annotate-stdin

From: Junio C Hamano <[email-masked]>
Date: Mon, 10 Jan 2022 09:38:58 -0800

John Cai <[email-masked]> writes:

> Hi Junio,
> ...

Please trim quotes that are irrelevant for understanding what you
want to say in your message to save recipient's time to find what
you wrote.

>> +		OPT_BOOL(0, "annotate-stdin", &annotate_stdin, N_("annotate text from stdin")),
>>  		OPT_BOOL(0, "undefined", &allow_undefined, N_("allow to print `undefined` names (default)")),
>
> I’ve changed this back to a non hidden bool. I believe this should be the last thing needed on this one.
> Let me know if anything else needs adjustment, thanks!

As I said, my mention of hidden vs non-hidden was not my preferrence
of non-hidden over hidden, but was soliciting opinions from others,
so I was a bit surprised to see a reroll to change only that thing
and nothing else so soon.

But if it is your preference to leave it unhidden for now, that is
fine as well.  I have no strong preference over the matter either
way.

I see only Dscho on the CC list, but I have this feeling that he
wasn't the one who suggested to hide the old option.  Whoever it
was, if we can get an ack from them, that would be nicer.

Thanks for working on this.